Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000754Core InformUnderstandingpublic2011-09-20 21:082014-05-07 07:34
ReporterRon Newcomb 
Assigned Tograham 
PrioritynormalSeveritycosmeticReproducibilityN/A
StatusclosedResolutionfixed 
PlatformPPCOSMac OS XOS Version10.4
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000754: I7_ExtendedTryNumber() in Parser.i6t is obsolete
DescriptionThis function purports to understand numbers 21 through 30 when typed as words by the player, but the array LanguageNumbers has apparently had these spelled-out numbers added to it since, rendering this function obsolete. It does not appear in a compiled game for Z5 or Glulx.
Tagswrongeffect
Effect(cosmetic) Error message is badly worded
Attached Files

- Relationships

-  Notes
(0001281)
Ron Newcomb (reporter)
2011-09-20 21:10

The source code for TryNumber starts thus:


[ TryNumber wordnum i j c num len mul tot d digit;
    i = wn; wn = wordnum; j = NextWord(); wn = i;
    j = NumberWord(j); ! Test for verbal forms ONE to TWENTY


but the comment needs updating to THIRTY.
(0001354)
graham (administrator)
2011-10-13 13:37

I've removed the extended routine, and changed the comment.

- Issue History
Date Modified Username Field Change
2011-09-20 21:08 Ron Newcomb New Issue
2011-09-20 21:10 Ron Newcomb Note Added: 0001281
2011-09-20 22:16 EmacsUser Effect (mild) Compiler accepts invalid code => (cosmetic) Error message is badly worded
2011-09-20 22:16 EmacsUser Severity mild => cosmetic
2011-09-20 22:16 EmacsUser Reproducibility always => N/A
2011-09-20 22:16 EmacsUser Status new => confirmed
2011-09-20 22:17 EmacsUser Tag Attached: wrongeffect
2011-10-13 13:37 graham Note Added: 0001354
2011-10-13 13:37 graham Status confirmed => resolved
2011-10-13 13:37 graham Resolution open => fixed
2011-10-13 13:37 graham Assigned To => graham
2014-05-07 07:34 jmcgrew Fixed in Version => 6L02
2014-05-07 07:34 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker